#!/bin/bash

# bk2site.02.sh

# handle releasing of my bk2site-converted bookmarks

# Created by:
# Juhapekka Tolvanen
# http://iki.fi/juhtolv/
# juhtolv (at) iki (dot) fi

###########################################################################
# Copyright (C) 2003 Juhapekka "naula" Tolvanen http://iki.fi/juhtolv/

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
###########################################################################

# AFAIK star is faster and better than GNU tar
# http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/star.html

if star --version 2>&1 | grep -i "Schilling" > /dev/null 2>&1
then
  TAR_BIN='star'
  echo "Cool... You have star, not just GNU tar or plain tar"
elif gtar --help 2>&1 | grep -i "gnu.org" > /dev/null 2>&1
then
  TAR_BIN="gtar"
  echo "Cool... You have GNU tar, not just plain tar"
elif tar --help 2>&1 | grep -i "gnu.org" > /dev/null 2>&1
then
  TAR_BIN="tar"
  echo "Cool... You have GNU tar, not just plain tar"
fi


cd ~/html/links/
cp ../licenses/dsl.txt  ../licenses/fdl.txt bk2site/
$TAR_BIN -c -f - bk2site | bzip2 -9vv > ./bookmarks/bk2site.tar.bz2
rm -f bk2site/dsl.txt bk2site/fdl.txt

chmod -R ugo+rX,go-w ~/html/links/bookmarks
chmod -R ugo+rX,go-w ~/html/links/bk2site/html

cd ~/html/links/bookmarks
ln -s ../../licenses/dsl.txt ./
ln -s ../../licenses/fdl.txt ./

